/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/** 
 * This file contains the general functionas which are used application-wide
 */

#ifndef _PCUTILS_H_
#define _PCUTILS_H_

#include<gtkmm.h>

namespace PCal {

    /**
     * Convert the string to Glib::Date.
     * \param str - the string in format "yyyy/mm/dd"
     * \param date - the reference to the date instance where 
     * the result will be stored
     * \retuns false if the conversion was unsuccessful
     */
    bool stringToDate(const Glib::ustring str, Glib::Date& date);
    
    /**
     * Get the today date
     * \returns today date
     */
    Glib::Date getTodayDate();
    
} // namespace PCal;

#endif	//_PCUTILS_H_
